Main Page | Modules | Class List | File List | Class Members | File Members

# Functions
[Persistent Storage Service]

Messages sent to the persistent storage service. More...

## Functions
GSbool | PSSend_Login ()
| Login to the persistent storage service.
GSbool | PSSend_Disconnect ()
| Disconnect from the persistent storage service.
GSbool | PS_Engine (GSuint uiMaxPostingDelay=500, GSuint uiMaxsOperationalDelay=800)
| Update connection status-messages handling relating to the persistent data storage service.
GSuint | PSSend_GetPrivateData (const GSchar *szGame, GSint iEventID, GSint iRecordID)
| Get the private data related to a player.
GSuint | PSSend_SetPrivateData (const GSchar *szGame, GSint iEventID, GSint iRecordID, const GSvoid *vpData, GSint iSize)
| Set the private data related to a player.
GSuint | PSSend_GetPublicData (const GSchar *szGame, GSint iEventID, GSint iRecordID, const GSchar *szUsername=0)
| Get the public data related to a player.
GSuint | PSSend_SetPublicData (const GSchar *szGame, GSint iEventID, GSint iRecordID, const GSvoid *vpData, GSint iSize)
| Set the public data related to a player.

## Detailed Description

These function are used to send to messages to the persistent storage server

## Function Documentation

GSbool PS_Engine | ( | GSuint | uiMaxPostingDelay = 500,
|  | GSuint | uiMaxsOperationalDelay = 800
| ) |

  | Description: Updates the connection between the client and the server, and handles the delivery of queued up messages and reception of messages relating to the persistent data storage service service. This function should be called regularly to ensure that the application will run smoothly with the service. Returns: Status of the function call Return values:
  GS_TRUE | The connection is ok and function call was a success
  GS_FALSE | There has been a communication problem between the client and the server
  Parameters:
  uiMaxPostingDelay | The maximum time to be spent inside the engine to read incomming messages and posting them to the message queue. (Milliseconds)
  uiMaxsOperationalDelay | The maximum time to be spent inside the engine to decode message in the queue and calling appropriate callback. (Milliseconds)

GSbool PSSend_Disconnect | ( |  | ) |

  | Description: Disconnect from the persistent storage service. Callbacks: CBPSRcv_Disconnection Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure

GSuint PSSend_GetPrivateData | ( | const GSchar * | szGame,
|  | GSint | iEventID,
|  | GSint | iRecordID
| ) |

  | Description: Get the private data related to a player using the persistent data storage service. Callbacks: CBPSRcv_GetDataReply Returns: ID of the request Parameters:
  szGame | The name of the game
  iEventID | The id of the event (this id is available in the lobby info)
  iRecordID | Specific id of the record set.

GSuint PSSend_GetPublicData | ( | const GSchar * | szGame,
|  | GSint | iEventID,
|  | GSint | iRecordID,
|  | const GSchar * | szUsername = 0
| ) |

  | Description: Get the public data related to a player using the persistent data storage service. Callbacks: CBPSRcv_SetDataReply Returns: ID of the request Parameters:
  szGame | The name of the game
  iEventID | The id of the event (this id is available in the lobby info)
  iRecordID | Specific id of the record set.
  szUsername | The username of the player related with the data (Default to the current username if the argument is not passed)

GSbool PSSend_Login | ( |  | ) |

  | Description: Login to the persistent storage service. Will return false if unable to connect true on success Callbacks: CBPSRcv_LoginResult Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure

GSuint PSSend_SetPrivateData | ( | const GSchar * | szGame,
|  | GSint | iEventID,
|  | GSint | iRecordID,
|  | const GSvoid * | vpData,
|  | GSint | iSize
| ) |

  | Description: Set the private data related to a player using the persistent data storage service. Callbacks: CBPSRcv_SetDataReply Parameters:
  szGame | The name of the game
  iEventID | The id of the event (this id is available in the lobby info)
  iRecordID | Specific id of the record set.
  vpData | The actual data buffer
  iSize | Size of the data buffer

GSuint PSSend_SetPublicData | ( | const GSchar * | szGame,
|  | GSint | iEventID,
|  | GSint | iRecordID,
|  | const GSvoid * | vpData,
|  | GSint | iSize
| ) |

  | Description: Set the public data related to a player using the persistent data storage service. Callbacks: CBPSRcv_SetDataReply Returns: ID of the request Parameters:
  szGame | The name of the game
  iEventID | The id of the event (this id is available in the lobby info)
  iRecordID | Specific id of the record set.
  vpData | The actual data buffer
  iSize | Size of the data buffer

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team